/// <reference types="node" />
import * as unsafeAssert from 'assert';
import { Option } from 'fp-ts/lib/Option';
export { AssertionError } from 'assert';
export declare type Assertions = {
    ok: (value: unknown, message?: string | Error) => Option<unsafeAssert.AssertionError>;
    deepEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    deepStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    equal: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    notDeepEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    notDeepStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    notEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    notStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    strictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
    throws: (block: Function, error: RegExp | Function | Object | Error, message?: string | Error) => Option<unsafeAssert.AssertionError>;
};
export declare const ok: (value: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const deepEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const deepStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const equal: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const fail: (message?: string | Error | undefined) => unsafeAssert.AssertionError;
export declare const ifError: (value: unknown) => Option<unsafeAssert.AssertionError>;
export declare const notDeepEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const notDeepStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const notEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const notStrictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const strictEqual: (actual: unknown, expected: unknown, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
export declare const throws: (block: Function, error: Object | Function | RegExp | Error, message?: string | Error | undefined) => Option<unsafeAssert.AssertionError>;
declare const assertions: Assertions;
export default assertions;
